summaryrefslogtreecommitdiffstats
path: root/audio
diff options
context:
space:
mode:
author Roberto Neri2010-06-13 09:41:34 +0200
committer Robby Workman2010-06-13 21:52:37 +0200
commit6d763beeb03b81db4982fef783032ea03c587858 (patch)
treece504004378cec3aa6bea0197211b8b25747e4ba /audio
parent7d2b2209758bb39f0008e3a2321a0173e879c58c (diff)
downloadslackbuilds-6d763beeb03b81db4982fef783032ea03c587858.tar.gz
audio/mp3splt-gtk: Added (gtk ui for mp3splt)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'audio')
-rw-r--r--audio/mp3splt-gtk/README15
-rw-r--r--audio/mp3splt-gtk/doinst.sh4
-rw-r--r--audio/mp3splt-gtk/mp3splt-gtk.SlackBuild85
-rw-r--r--audio/mp3splt-gtk/mp3splt-gtk.desktop.diff12
-rw-r--r--audio/mp3splt-gtk/mp3splt-gtk.info10
-rw-r--r--audio/mp3splt-gtk/slack-desc19
6 files changed, 145 insertions, 0 deletions
diff --git a/audio/mp3splt-gtk/README b/audio/mp3splt-gtk/README
new file mode 100644
index 0000000000..15a3479ff7
--- /dev/null
+++ b/audio/mp3splt-gtk/README
@@ -0,0 +1,15 @@
+Mp3Splt-project is a utility to split mp3 and ogg files selecting a begin and an
+end time position, without decoding. It's very useful to split large mp3/ogg to
+make smaller files or to split entire albums to obtain original tracks. If you
+want to split an album, you can select split points and filenames manually or
+you can get them automatically from CDDB (internet or a local file) or from .cue
+files. Supports also automatic silence split, that can be used also to adjust
+cddb/cue splitpoints. You can extract tracks from Mp3Wrap or AlbumWrap files in
+few seconds.
+
+Mp3splt-project is divided in 3 parts (all available from SlackBuilds.org):
+ - libmp3splt, a library (created from mp3splt version 2.1c)
+ - mp3splt, a command line program
+ - mp3splt-gtk, a GTK2 gui
+
+This requires libmp3splt.
diff --git a/audio/mp3splt-gtk/doinst.sh b/audio/mp3splt-gtk/doinst.sh
new file mode 100644
index 0000000000..4e8ba7071d
--- /dev/null
+++ b/audio/mp3splt-gtk/doinst.sh
@@ -0,0 +1,4 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
diff --git a/audio/mp3splt-gtk/mp3splt-gtk.SlackBuild b/audio/mp3splt-gtk/mp3splt-gtk.SlackBuild
new file mode 100644
index 0000000000..dc24f6b5bc
--- /dev/null
+++ b/audio/mp3splt-gtk/mp3splt-gtk.SlackBuild
@@ -0,0 +1,85 @@
+#!/bin/sh
+
+# Slackware build script for mp3splt-gtk
+
+# Written by Roberto Neri <rneri@libero.it>
+
+PRGNAM=mp3splt-gtk
+VERSION=${VERSION:-0.5.9}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+patch -p1 < $CWD/mp3splt-gtk.desktop.diff
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+LIBS=-laudclient \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS ChangeLog COPYING INSTALL NEWS README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/audio/mp3splt-gtk/mp3splt-gtk.desktop.diff b/audio/mp3splt-gtk/mp3splt-gtk.desktop.diff
new file mode 100644
index 0000000000..b73c9e2224
--- /dev/null
+++ b/audio/mp3splt-gtk/mp3splt-gtk.desktop.diff
@@ -0,0 +1,12 @@
+diff -Nur mp3splt-gtk-0.5.4.orig/mp3splt-gtk.desktop mp3splt-gtk-0.5.4/mp3splt-gtk.desktop
+--- mp3splt-gtk-0.5.4.orig/mp3splt-gtk.desktop 2008-06-06 15:29:03.000000000 -0500
++++ mp3splt-gtk-0.5.4/mp3splt-gtk.desktop 2009-01-30 23:54:08.806698497 -0600
+@@ -5,7 +5,7 @@
+ GenericName=Sound Splitter
+ Comment=Split mp3 and ogg files without decoding
+
+-Icon=/usr/share/mp3splt-gtk/mp3splt-gtk_ico.png
++Icon=mp3splt-gtk_ico
+
+ Type=Application
+ Categories=Application;AudioVideo;Audio;AudioVideoEditing;
diff --git a/audio/mp3splt-gtk/mp3splt-gtk.info b/audio/mp3splt-gtk/mp3splt-gtk.info
new file mode 100644
index 0000000000..88626e4c28
--- /dev/null
+++ b/audio/mp3splt-gtk/mp3splt-gtk.info
@@ -0,0 +1,10 @@
+PRGNAM="mp3splt-gtk"
+VERSION="0.5.9"
+HOMEPAGE="http://mp3splt.sourceforge.net"
+DOWNLOAD="http://downloads.sourceforge.net/mp3splt/mp3splt-gtk-0.5.9.tar.gz"
+MD5SUM="9579e3d8ce992057d9fd64dd8ffb2066"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Roberto Neri"
+EMAIL="rneri@libero.it"
+APPROVED="rworkman"
diff --git a/audio/mp3splt-gtk/slack-desc b/audio/mp3splt-gtk/slack-desc
new file mode 100644
index 0000000000..f4186dfa24
--- /dev/null
+++ b/audio/mp3splt-gtk/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+mp3splt-gtk: mp3splt-gtk (gtk2 gui from the mp3splt project)
+mp3splt-gtk:
+mp3splt-gtk: mp3splt is a free utility to split mp3/ogg files (without decoding),
+mp3splt-gtk: selecting begin/end time; if file is an album, you can get splitpoints
+mp3splt-gtk: automatically from internet or a local cue/cddb file.
+mp3splt-gtk: It splits also Mp3Wrap and AlbumWrap archives.
+mp3splt-gtk: The mp3splt project is divided in 3 parts:
+mp3splt-gtk: - libmp3splt, a library (created from mp3splt version 2.1c)
+mp3splt-gtk: - mp3splt, a command line program
+mp3splt-gtk: - mp3splt-gtk, a gtk2 gui
+mp3splt-gtk: Homepage: http://mp3splt.sourceforge.net/